package com.bonus.canteen.core.bus.param;

import com.bonus.canteen.core.common.page.PageDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(
   value = "BusDeviceInfoParam",
   description = "车载设备终端查询参数"
)
public class BusDeviceInfoParam {
   @ApiModelProperty("分页对象")
   private PageDTO page;
   @ApiModelProperty("关键字（设备编号或名称或sn码）")
   private String keyword;

   public PageDTO getPage() {
      return this.page;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public BusDeviceInfoParam setPage(final PageDTO page) {
      this.page = page;
      return this;
   }

   public BusDeviceInfoParam setKeyword(final String keyword) {
      this.keyword = keyword;
      return this;
   }
}
